Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.system
Class FileStreamHandler

    java.lang.Object
      com.stc.connector.fileadapter.system.FileStreamHandler

All Implemented Interfaces:
  com.stc.connector.framework.jca.system.StreamHandler

    public class FileStreamHandler

extends java.lang.Object
implements com.stc.connector.framework.jca.system.StreamHandler

File eWay specific code for the outbound streaming

Constructor Summary
`FileStreamHandler(java.io.File aDirectory, java.lang.String aFileNamePattern, boolean aSingleRecord)`

Method Summary
`void` | `discard(javax.transaction.xa.Xid aXid)`
`void` | `finish(javax.transaction.xa.Xid aXid)`
`boolean` | `isWritingEarly()`
`void` | `writeMessage(javax.transaction.xa.Xid aXid, byte[] aMessage)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileStreamHandler

    public FileStreamHandler(java.io.File aDirectory,
                             java.lang.String aFileNamePattern,
                             boolean aSingleRecord)

Method Detail

### isWritingEarly

    public boolean isWritingEarly()

  Specified by:
    `isWritingEarly` in interface `com.stc.connector.framework.jca.system.StreamHandler`

### writeMessage

    public void writeMessage(javax.transaction.xa.Xid aXid,
                             byte[] aMessage)
                      throws java.io.IOException

  Specified by:
    `writeMessage` in interface `com.stc.connector.framework.jca.system.StreamHandler`
  Throws:
    `java.io.IOException`

### finish

    public void finish(javax.transaction.xa.Xid aXid)

  Specified by:
    `finish` in interface `com.stc.connector.framework.jca.system.StreamHandler`

### discard

    public void discard(javax.transaction.xa.Xid aXid)

  Specified by:
    `discard` in interface `com.stc.connector.framework.jca.system.StreamHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.